# Class RegistryCSSPropertyHandlerProvider

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.providers.AbstractCSSPropertyHandlerProvider
org.eclipse.e4.ui.css.core.impl.engine.RegistryCSSPropertyHandlerProvider

All Implemented Interfaces:
  `ICSSPropertyHandlerProvider`

public class RegistryCSSPropertyHandlerProvider extends AbstractCSSPropertyHandlerProvider

## Constructor Summary

Constructors
Constructor
Description
`RegistryCSSPropertyHandlerProvider(IExtensionRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`configure(String extensionPointId)`
`Collection<String>`
`getCSSProperties(Object element)`
Return the list of applicable properties for `element`
`Collection<ICSSPropertyHandler>`
`getCSSPropertyHandlers(Object element, String property)`
Return list of `ICSSPropertyHandler` linked to the CSS Property `property` for the provided element.
`Collection<ICSSPropertyHandler>`
`getCSSPropertyHandlers(String property)`
Return list of `ICSSPropertyHandler` linked to the CSS Property `property`.
`protected CSSStyleDeclaration`
`getDefaultCSSStyleDeclaration(CSSEngine engine, CSSStylableElement stylableElement, CSSStyleDeclaration newStyle, String pseudoE)`
Return the default CSS style declaration of the `CSSStylableElement` `stylableElement` before apply the `newStyle` `CSSStyleDeclaration`.
`protected void`
`logError(String message)`

### Methods inherited from class AbstractCSSPropertyHandlerProvider

`getCSSPropertyStyle, getDefaultCSSStyleDeclaration`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegistryCSSPropertyHandlerProvider

public RegistryCSSPropertyHandlerProvider(IExtensionRegistry registry)

## Method Details

### configure

protected boolean configure(String extensionPointId)

Returns:
  true if some extensions were found

### getCSSPropertyHandlers

public Collection<ICSSPropertyHandler> getCSSPropertyHandlers(String property) throws Exception
Description copied from interface: `ICSSPropertyHandlerProvider`
Return list of `ICSSPropertyHandler` linked to the CSS Property `property`.

Throws:
  `Exception`

### getDefaultCSSStyleDeclaration

protected CSSStyleDeclaration getDefaultCSSStyleDeclaration(CSSEngine engine, CSSStylableElement stylableElement, CSSStyleDeclaration newStyle, String pseudoE) throws Exception
Description copied from class: `AbstractCSSPropertyHandlerProvider`
Return the default CSS style declaration of the `CSSStylableElement` `stylableElement` before apply the `newStyle` `CSSStyleDeclaration`.

Specified by:
  `getDefaultCSSStyleDeclaration` in class `AbstractCSSPropertyHandlerProvider`
Throws:
  `Exception`

### getCSSPropertyHandlers

public Collection<ICSSPropertyHandler> getCSSPropertyHandlers(Object element, String property) throws Exception
Description copied from interface: `ICSSPropertyHandlerProvider`
Return list of `ICSSPropertyHandler` linked to the CSS Property `property` for the provided element.

Parameters:
  `element` - the DOM element
Returns:
  the handlers for the element
Throws:
  `Exception`

### getCSSProperties

public Collection<String> getCSSProperties(Object element)
Description copied from interface: `ICSSPropertyHandlerProvider`
Return the list of applicable properties for `element`

Parameters:
  `element` - the DOM element

### logError

protected void logError(String message)